> ## Documentation Index
> Fetch the complete documentation index at: https://docs.momentum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Remap a meeting with new salesforce objects

> Associates a meeting with new salesforce objects and optionally triggers call summary and generates AI signals.



## OpenAPI

````yaml /api/openapi-spec.yaml post /v1/meeting/remap
openapi: 3.1.0
info:
  title: Momentum API
  description: >-
    API for managing meetings with attendee and transcript details, and
    retrieving AI signal executions.
  version: 2.0.0
servers:
  - url: https://api.momentum.io
security:
  - ApiKeyAuth: []
tags:
  - name: Meetings
    description: Endpoints for retrieving and managing meetings.
  - name: Users
    description: Endpoints for retrieving organization users.
  - name: Signals V1
    description: AI signal prompts and executions (v1).
  - name: Signals V2
    description: AI signal definitions and executions (v2).
paths:
  /v1/meeting/remap:
    post:
      tags:
        - Meetings
      summary: Remap a meeting with new salesforce objects
      description: >-
        Associates a meeting with new salesforce objects and optionally triggers
        call summary and generates AI signals.
      parameters:
        - name: triggerSummary
          in: query
          description: Whether to trigger call summary after remapping
          required: false
          schema:
            type: boolean
            default: false
        - name: triggerAiSignals
          in: query
          description: Whether to trigger AI signals after remapping
          required: false
          schema:
            type: boolean
            default: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MeetingRemapRequest'
      responses:
        '200':
          description: Meeting successfully remapped
          content:
            application/json:
              schema:
                type: object
                properties:
                  accepted:
                    type: boolean
                    example: true
                  requestId:
                    type: string
                    description: ID of the request for tracking purposes
                required:
                  - accepted
                  - requestId
        '400':
          description: Bad request due to validation errors
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message describing the validation failure
                  requestId:
                    type: string
                    description: ID of the request for tracking purposes
                required:
                  - error
                  - requestId
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                    example: Internal server error
                  requestId:
                    type: string
                    description: ID of the request for tracking purposes
                required:
                  - error
                  - requestId
components:
  schemas:
    MeetingRemapRequest:
      type: object
      description: >
        Request body for remapping a meeting. Either `source` or
        `meetingDetails` must be provided: Use `source` when remapping a meeting
        based on an external system (e.g., Google Calendar, Zoom, Gong, etc.),
        providing the source identifier and type. Use `meetingDetails` when
        remapping a meeting using explicit meeting information (such as title,
        start time and host) instead of referencing an external source. Choose
        the option that best matches the available data for the meeting you wish
        to remap.
      properties:
        source:
          type: object
          description: Source information for the meeting
          properties:
            id:
              type: string
              description: Source identifier for the meeting
            type:
              type: string
              description: Type of meeting source
              enum:
                - GOOGLE_CALENDAR
                - ZOOM
                - RECALL
                - GONG
                - CHORUS
                - WINGMAN
                - WISER
                - SALESLOFT
          required:
            - id
            - type
        meetingDetails:
          type: object
          description: >-
            Details about the meeting. If momentumMeetingId is provided, other
            fields are not needed.
          properties:
            title:
              type: string
              description: Title of the meeting
            startTime:
              type: string
              format: date-time
              description: Start time of the meeting in ISO 8601 format
            hostEmail:
              type: string
              format: email
              description: Email of the meeting host
            momentumMeetingId:
              type: integer
              description: Internal Momentum meeting ID
          oneOf:
            - required:
                - momentumMeetingId
              not:
                anyOf:
                  - required:
                      - title
                  - required:
                      - startTime
                  - required:
                      - hostEmail
            - required:
                - title
                - startTime
                - hostEmail
              not:
                required:
                  - momentumMeetingId
        salesforceRecords:
          type: object
          description: >-
            Associated Salesforce record IDs. At least one record ID must be
            provided.
          properties:
            opportunityId:
              type: string
              description: Salesforce opportunity ID
            accountId:
              type: string
              description: Salesforce account ID
            leadId:
              type: string
              description: Salesforce lead ID
          anyOf:
            - required:
                - opportunityId
            - required:
                - accountId
            - required:
                - leadId
      required:
        - salesforceRecords
      oneOf:
        - required:
            - source
        - required:
            - meetingDetails
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key for authenticating requests

````